mercado_pago 0.1.3

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 66

Mercado Pago Helper #

pub package

A flutter plugin to integrate MercadoPago into flutter app. So far I completed the basic functions which includes:

  • New user
  • New card
  • Associate card with user
  • Get all card by user
  • Token with card
  • Create payment

Usage #

Setup MercadoPago credentials first

import 'package:mercado_pago/mercado_pago.dart';
final credentials = MercadoCredentials(
    publicKey: 'PUBLIC-KEY-TEST',
    accessToken: 'ACCESS-TOKE-TEST'
);

This plugin is in very initial stage, I am using it in my personal app. Future plan is to complete all the remaining API.

[0.0.1] - 16/12/2018

  • Create new user
  • Create new card
  • TODO: associate card with user

example/README.md

Example #

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  mercado_pago: ^0.1.3

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:mercado_pago/mercado_pago.dart';
  
Version Uploaded Documentation Archive
0.1.3 Jan 2, 2019 Go to the documentation of mercado_pago 0.1.3 Download mercado_pago 0.1.3 archive
0.1.2+1 Dec 20, 2018 Go to the documentation of mercado_pago 0.1.2+1 Download mercado_pago 0.1.2+1 archive
0.1.2 Dec 19, 2018 Go to the documentation of mercado_pago 0.1.2 Download mercado_pago 0.1.2 archive
0.0.7 Dec 19, 2018 Go to the documentation of mercado_pago 0.0.7 Download mercado_pago 0.0.7 archive
0.0.6 Dec 18, 2018 Go to the documentation of mercado_pago 0.0.6 Download mercado_pago 0.0.6 archive
0.0.5 Dec 18, 2018 Go to the documentation of mercado_pago 0.0.5 Download mercado_pago 0.0.5 archive
0.0.4 Dec 16, 2018 Go to the documentation of mercado_pago 0.0.4 Download mercado_pago 0.0.4 archive
0.0.3 Dec 16, 2018 Go to the documentation of mercado_pago 0.0.3 Download mercado_pago 0.0.3 archive
0.0.2 Dec 16, 2018 Go to the documentation of mercado_pago 0.0.2 Download mercado_pago 0.0.2 archive
0.0.1 Dec 16, 2018 Go to the documentation of mercado_pago 0.0.1 Download mercado_pago 0.0.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
32
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
66
Learn more about scoring.

We analyzed this package on Apr 22, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.2.0
  • pana: 0.12.14
  • Flutter: 1.4.7

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health suggestions

Format lib/mercado_pago.dart.

Run flutter format to format lib/mercado_pago.dart.

Format lib/src/credentials.dart.

Run flutter format to format lib/src/credentials.dart.

Format lib/src/model.dart.

Run flutter format to format lib/src/model.dart.

Format lib/src/services.dart.

Run flutter format to format lib/src/services.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
flutter 0.0.0
http ^0.12.0 0.12.0+2
Transitive dependencies
async 2.2.0
charcode 1.1.2
collection 1.14.11
http_parser 3.1.3
meta 1.1.6 1.1.7
path 1.6.2
pedantic 1.5.0
sky_engine 0.0.99
source_span 1.5.5
string_scanner 1.0.4
term_glyph 1.1.0
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test